{% extends 'base.html' %}

{% block content %}
        {% if msg %}
			<div class="alert alert-success" role="success">
				{{ msg }}
			</div>
		{% endif %}
    {% if err %}
			<div class="alert alert-danger" role="danger">
				{{ err }}
			</div>
		{% endif %}
    <hr>

        <div class="import">
        <h2>Импорт из файла</h2>
            {% if error %}
			    <div class="alert alert-danger" role="alert">
		  		    {{ error }}
			    </div>
            {% endif %}
        <form action="/upload_files/import" method="post" enctype="multipart/form-data">
        <div>
        <label class="choose_file" for="file">Выберите файл</label>
        <input class="input-btn" type="file" id="file" name="file" multiple>
        </div>
        <div class="button">
            <button class="send" onclick="return send_question('импортировать этот файл?')">Отправить</button>
        </div>
        </form>
        </div>

        <hr>

        <div class="export">
        <h2>Экспорт</h2>
        <form action="/upload_files/export" method="post" enctype="multipart/form-data">
        <div class="button">
            <button class="download" onclick="return send_question('экспортировать задачи?')">Скачать</button>
        </div>
        </form>
        </div>

        <hr>

        <div class="import-from-git">
            <h2>Импорт issues из GitLab проекта</h2>
                <form action="/import/git" method="post">
                     <label  class="label">URL проекта <br>  <input name="gitlab_url" type="text" class="inputs-git" required></label> <br>
                     <label  class="label">Personal Access Token <br> <input name="private_token" type="text" class="inputs-git" required></label>
                     <div class="button">
                         <button class="send" onclick="return send_question('импортировать задачи с git-проекта?')">Импорт</button>
                     </div>
                </form>
        </div>

        <hr>
{% endblock content %}